#!/bin/sh
#---------------------------------------------------------
#-- This simple script is an example of how to start ij in 
#-- the Derby Embedded environment.
#-- setup env
#---------------------------------------------------------

# Determine current location and then make sure to set environment as correctly
#as possible.
binDir="`dirname "$0"`"
export binDir

SHELL=org.apache.derby.tools.ij                   

REPLACE_WAS_HOME=$binDir/../../..                   
. "$binDir/../../../bin/setupCmdLine.sh"

#Platform specific args...
PLATFORM=`/bin/uname`
case $PLATFORM in
AIX)
C_PATH=$WAS_CLASSPATH:$DERBY_HOME/lib/derbyclient.jar:$DERBY_HOME/lib/derby.jar:$DERBY_HOME/lib/derbytools.jar:$DERBY_HOME/lib/derbynet.jar
CONSOLE_ENCODING=-Dws.output.encoding=console;;
Linux)
C_PATH=$WAS_CLASSPATH:$DERBY_HOME/lib/derbyclient.jar:$DERBY_HOME/lib/derby.jar:$DERBY_HOME/lib/derbytools.jar:$DERBY_HOME/lib/derbynet.jar
CONSOLE_ENCODING=-Dws.output.encoding=console;;
SunOS)
C_PATH=$WAS_CLASSPATH:$DERBY_HOME/lib/derbyclient.jar:$DERBY_HOME/lib/derby.jar:$DERBY_HOME/lib/derbytools.jar:$DERBY_HOME/lib/derbynet.jar
CONSOLE_ENCODING=-Dws.output.encoding=console;;
HP-UX)
C_PATH=$WAS_CLASSPATH:$DERBY_HOME/lib/derbyclient.jar:$DERBY_HOME/lib/derby.jar:$DERBY_HOME/lib/derbytools.jar:$DERBY_HOME/lib/derbynet.jar
CONSOLE_ENCODING=-Dws.output.encoding=console;;
OS/390)
C_PATH=$WAS_CLASSPATH:$DERBY_HOME/lib/derbyclient.jar:$DERBY_HOME/lib/derby.jar:$DERBY_HOME/lib/derbytools.jar:$DERBY_HOME/lib/derbynet.jar
D_ARGS=$D_ARGS" $DELIM -Dfile.encoding=ISO8859-1 $DELIM -Djava.ext.dirs="$JAVA_EXT_DIRS
X_ARGS=""$X_ARGS" $DELIM -Xnoargsconversion" ;;
esac

WAS_HOME=$binDir/../../../
export WAS_HOME
DERBY_HOME=$WAS_HOME/derby
export DERBY_HOME
JAVA_HOME=$WAS_HOME/java
export JAVA_HOME

# ---------------------------------------------------------
# -- start ij
# ---------------------------------------------------------
#"$JAVA_HOME/bin/java" $CONSOLE_ENCODING $X_ARGs $D_ARGs -classpath "$C_PATH" -Dderby.system.home="$DERBY_HOME" -Dij.protocol=jdbc:derby: org.apache.derby.tools.ij "$@"
"$JAVA_HOME/bin/java" \
  -Xbootclasspath/p:"$WAS_BOOTCLASSPATH" \
  $X_ARGS \
  $CONSOLE_ENCODING \
  -Dws.ext.dirs="$WAS_EXT_DIRS" \
  -Dwas.install.root="$WAS_HOME" \
  -Duser.install.root="$USER_INSTALL_ROOT" \
  -Dij.protocol=jdbc:derby: \
  -Dderby.system.home="$DERBY_HOME" \
  $D_ARGS \
  $JVM_EXTRA_CMD_ARGS \
  $PERF_JVM_OPTIONS \
  $WAS_LOGGING \
  -classpath "$C_PATH" com.ibm.ws.bootstrap.WSLauncher \
  $SHELL "$@"
